Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000139 [SkyOS 5.0 - Beta] Kernel minor always 2004-07-05 21:07 2004-11-29 11:05
Reporter Quok View Status public  
Assigned To robert
Priority normal Resolution fixed  
Status resolved  
Summary 0000139: /systeminterface/kernel/cpu does not show all flags.
Description Here is output on my P3:
Flags: fpu vme de pse ts msr pae mce cx8 sep mtrr pge ca cmov pat pse36 19 21 22 mmx osfxsr 25 26 27 28 29 31

couple of problems here... osfxsr should probably just be 'fxsr'.

0000019 is PSN - Processor Serial Number
0000021 is MMX
0000022 is ACPI
0000025 is SSE
0000026 is SSE2
0000027 is SS - Self Snoop
0000028 is HTT (HyperThreading) and should NOT have been detected on a P3.
0000029 is TM - Thermal Monitor
0000031 is SBF - linux and others call this PBE - Pending Break Event
Additional Information cpuid information for intel machines:

for amd machines: http://www.amd.com/us-en/assets/content_type/white_papers_and_tech_docs/20734.pdf [^]

another good resource:
http://www.sandpile.org/ia32/cpuid.htm [^]

I have platform independent code, written in inline assembler and C (compiles with GCC) that supports getting ALL flags for Intel and AMD. Email me if you'd like it. :)
Tags No tags attached.
Environment
Reported for build
Fixed in build
VersionType
Attached Files

- Relationships

-  Notes
(0000089)
Quok (reporter)
2004-07-06 12:21

Ooops, forgot to include the link for intel machines, so here it is:
http://www.intel.com/design/Xeon/applnots/24161826.pdf [^]

- Issue History
Date Modified Username Field Change
2004-07-05 21:07 Quok New Issue
2004-07-06 12:21 Quok Note Added: 0000089
2004-10-06 14:58 robert Project @2@ => SkyOS 5.0 - Beta
2004-11-29 11:05 robert Status new => resolved
2004-11-29 11:05 robert Resolution open => fixed
2004-11-29 11:05 robert Assigned To => robert


Mantis 1.1.4[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker